Bug 982854 - dhclient fails to reacquire IPv6 address after reboot
dhclient fails to reacquire IPv6 address after reboot
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 23:05 EDT by H. Peter Anvin
Modified: 2015-02-17 11:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:02:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2013-07-09 23:05:06 EDT
Description of problem:
dhclient fails to reinstall a DHCPv6 address after reboot.  The dhclient-script gets called with REBIND6, and the REBIND6 handling simply exits if the old and new addresses are the same, without verifying that the interface actually already has the address installed.

Version-Release number of selected component (if applicable):
dhclient-4.2.5-15.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Set up a IPv6 system requiring DHCPv6
2. Acquire a lease
3. Reboot

Actual results:
No IPv6 service

Expected results:
Old lease should have been reconfirmed and resumed

Additional info:
Applies to a system using "network" as opposed to "NetworkManager"
Comment 1 Jiri Popelka 2013-07-10 12:40:56 EDT
(In reply to H. Peter Anvin from comment #0)
> dhclient-script gets called with REBIND6, and the REBIND6 handling simply
> exits if the old and new addresses are the same, without verifying that the
> interface actually already has the address installed.

That's correct I'd say. RENEW/REBIND are used to extend client's lease. It's supposed that client already has configured interface and there's no need to re-configure it in case the address in reply to RENEW/REBIND is the same.

What is strange is why the hell client sends REBIND after reboot ? It should send a CONFIRM message and the dhclient-script should be run with BOUND6 as a $reason.

Could you obtain some packed dump of the dhclient<->server communication after the reboot, for example with wireshark-gnome ?
Comment 2 Jiri Popelka 2013-07-10 12:42:11 EDT
(In reply to Jiri Popelka from comment #1)
> for example with wireshark-gnome ?

That's name of package, program is of course wireshark.
Comment 3 H. Peter Anvin, Intel 2013-07-10 14:06:15 EDT
It doesn't look like it will let me do that, as dhclient connects to the low-level network interface bypassing the IP stack.  I do not have any way to intercept connection anywhere upstream of this client.
Comment 4 Jiri Popelka 2013-07-11 07:53:50 EDT
(In reply to H. Peter Anvin, Intel from comment #3)
> It doesn't look like it will let me do that, as dhclient connects to the
> low-level network interface bypassing the IP stack.

Yes, it can be said so, but I've never had any problems capturing packets on a machine with running dhclient.
Comment 5 H. Peter Anvin 2013-07-11 18:39:37 EDT
I tried but got an empty capture file.
Comment 6 H. Peter Anvin 2013-07-11 18:41:02 EDT
Either way... presumably the better way rather than relying on the packet type is to simply look if the address is already configured on the interface?
Comment 7 Fedora End Of Life 2015-01-09 13:49:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 11:02:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.